<template>
    <h2 class="titleWeatherWidget">Information sur le jardin</h2>
    <h3 class="numberLotWeatherWidget">Lot #{{lot.lotNumber}}</h3>
    <div class="weatherWidget">
        <div class="weatherInfo">
            <p class="weatherTitle">{{ t("lot.temp") }}</p>
            <p>{{lot.temperature}}&deg;C</p>
        </div>
        <div class="weatherInfo">
            <p class="weatherTitle">{{ t("lot.humidity") }}</p>
            <p>{{lot.humidity}}%</p>
        </div>
        <div class="weatherInfo">
            <p class="weatherTitle">{{ t("lot.luminosity") }}</p>
            <p>{{lot.sunlightIntensity}} lux</p>
        </div>
    </div>
</template>

<script lang="ts" setup>
    import { defineProps } from 'vue';
    import { Lot } from '../../types';
    import i18n from "@/i18n";
    import { useI18n } from "vue3-i18n";
    const { t } = useI18n();
    const props = defineProps({
        lot: {
            type: Lot,
            required: true
        }
    });
</script>


